// 1. Циклы используются, когда какое-то действие необходимо сделать большое количество раз.
// 2. Цикл for повторяет действия, пока не произойдёт какое-либо специальное событие завершения цикла.
// Цикл do...while повторяется пока заданное условие истинно. Цикл пройдет хотя бы один раз, прежде чем проверится условие.
//Цикл while выполняет выражения пока условие истинно. Если условие ложно, цикл не запустится.
//3. Преобразование типов может быть явным и неявным. Когда разработчик выражает намерение сконвертировать значение одного типа в значение другого типа, записывая это соответствующим образом в коде, скажем, в виде Number(value), это называется явным приведением типов (или явным преобразованием типов).
//Так как JavaScript — это язык со слабой типизацией, значения могут быть конвертированы между различными типами автоматически. Это называют неявным приведением типов.

const userNumber = parseInt(prompt("Enter your number"));

if (!isNaN(userNumber) && userNumber > 0) {
  for (let i = 0; i <= userNumber; i++) {
    if (i % 5 === 0) {
      console.log(i);
    }
  }
} else {
  console.log("Sorry, no numbers");
}
